package com.yovinchen.xlcs.common.exception;

import com.yovinchen.xlcs.common.result.ResultCodeEnum;
import lombok.Data;

/**
 * ClassName: xlcsException
 * Package: com.yovinchen.xlcs.common.exception
 * 自定义异常类
 *
 * @author yovinchen
 * @since 2023/9/13 13:05
 */

@Data
public class xlcsException extends RuntimeException {

    //异常状态码
    private Integer code;

    /**
     * 通过状态码和错误消息创建异常对象
     *
     * @param message
     * @param code
     */
    public xlcsException(String message, Integer code) {
        super(message);
        this.code = code;
    }

    /**
     * 接收枚举类型对象
     *
     * @param resultCodeEnum
     */
    public xlcsException(ResultCodeEnum resultCodeEnum) {
        super(resultCodeEnum.getMessage());
        this.code = resultCodeEnum.getCode();
    }

    @Override
    public String toString() {
        return "GuliException{" + "code=" + code + ", message=" + this.getMessage() + '}';
    }
}
