package com.yovinchen.xlcs.client.search;

import com.yovinchen.xlcs.model.search.SkuEs;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * ClassName: SkuFeignClient
 * Package: com.yovinchen.xlcs.client.search
 *
 * @author yovinchen
 * @since 2023/9/25 22:44
 */
@FeignClient("service-search")
public interface SkuFeignClient {

    @GetMapping("/api/search/sku/inner/findHotSkuList")
    List<SkuEs> findHotSkuList();

    @ApiOperation(value = "更新商品热度")
    @GetMapping("/api/search/sku/inner/incrHotScore/{skuId}")
    Boolean incrHotScore(@PathVariable("skuId") Long skuId);
}
