package com.yovinchen.xlcs.payment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yovinchen.xlcs.model.order.PaymentInfo;

import java.util.Map;

/**
 * ClassName: PaymentInfoService
 * Package: com.yovinchen.xlcs.payment.payment.service
 *
 * @author yovinchen
 * @since 2023/10/13 10:33
 */

public interface PaymentInfoService extends IService<PaymentInfo> {
    /**
     * 根据orderNo查询支付订单
     *
     * @param orderNo
     * @return
     */
    PaymentInfo getPaymentInfoByOrderNo(String orderNo);

    /**
     * 保存支付订单
     *
     * @param orderNo
     * @return
     */
    PaymentInfo savePaymentInfo(String orderNo);

    /**
     * 支付成功
     *
     * @param orderNo
     * @param resultMap
     */
    void paySuccess(String orderNo, Map<String, String> resultMap);
}
