package com.yovinchen.xlcs.product.service.impl;

import com.yovinchen.xlcs.model.product.SkuAttrValue;
import com.yovinchen.xlcs.product.mapper.SkuAttrValueMapper;
import com.yovinchen.xlcs.product.service.SkuAttrValueService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * spu属性值 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-15
 */
@Service
public class SkuAttrValueServiceImpl extends ServiceImpl<SkuAttrValueMapper, SkuAttrValue> implements SkuAttrValueService {

    /**
     * 根据id查询商品属性信息列表
     *
     * @param skuId
     * @return
     */
    @Override
    public List<SkuAttrValue> findBySkuId(Long skuId) {
        return baseMapper.selectList(new LambdaQueryWrapper<SkuAttrValue>().eq(SkuAttrValue::getSkuId, skuId));
    }
}
