package com.yovinchen.xlcs.product.service.impl;

import com.yovinchen.xlcs.model.product.SkuImage;
import com.yovinchen.xlcs.product.mapper.SkuImageMapper;
import com.yovinchen.xlcs.product.service.SkuImageService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商品图片 服务实现类
 * </p>
 *
 * @author yovinchen
 * @since 2023-09-15
 */
@Service
public class SkuImageServiceImpl extends ServiceImpl<SkuImageMapper, SkuImage> implements SkuImageService {

    /**
     * 根据id查询商品图片列表
     *
     * @param skuId
     * @return
     */
    @Override
    public List<SkuImage> findBySkuId(Long skuId) {
        return baseMapper.selectList(new LambdaQueryWrapper<SkuImage>().eq(SkuImage::getSkuId, skuId));
    }
}
